<?php  

  function lock($tabla,$query,$conexion){ //bloquea tabla para acceso concurrente, ejecutando la query
  
    mysql_query("LOCK TABLES ".$tabla." WRITE;",$conexion);
    mysql_query($query); 
    $id = mysql_insert_id();
    mysql_query("UNLOCK TABLES",$conexion);

    return $id;
  }
 
  function conectaBD(){
    
    $conexion = mysql_connect('localhost','root','soyroot') or die ('Ha fallado la conexi&oacute;n: '.mysql_error());
    mysql_select_db('RCBD')or die ('Error al seleccionar la Base de Datos: '.mysql_error());
    
    return $conexion;
  }

  function cierraConexion( $cx ){

    mysql_close($cx);

  }
  
  function resultadoQuery($sql){

    $lista = array();
    $i     = 0;
    $res   = mysql_query($sql);
    
    while ($fila = @mysql_fetch_array($res)){
      $lista[$i] = $fila[0];
      $i++;
    }

    return $lista;   
  }
?>
